package handler

import (
	"net/http"
	"net/http/httptest"
	"testing"
)

func TestCreateCampaignBadRequest(t *testing.T) {
	rr := httptest.NewRecorder()
	//No campaign in the body of the request -> nil
	req := httptest.NewRequest(http.MethodPost, "/campaigns", nil)
	handler := http.HandlerFunc(CreateCampaign)
	handler.ServeHTTP(rr, req)

	if status := rr.Code; status != http.StatusBadRequest {
		t.Errorf("handler did not recognize bad request")
	}
}
